Find out why Alpine Linux hangs at boot when it does not have a link on a device with dhcp
Description
* Starting networking ... * lo ... [ ok ]
k ethO0 ...udhcpc: started, v1.30.1

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc failed to get a DHCP lease
udhcpc: no lease, forking to background

[ ok ]
* ethl ...udhcpc: started, v1.30.1
udhcpc: sending discover
udhcpc: sending discover
udhcpc: sending discover
udhcpc: sending discover
udhcpc: sending discover
udhcpc failed to get a DHCP lease
udhcpc: no lease, forking to background

~"C [ ok 1]
* Starting busybox syslog ... [ ok ]
* Initializing random number generator ... [ ok ]
* Starting busybox acpid ... [ ok ]

* Starting chronyd
It only continued when plugging in a cable after seeing the message udhcpc: no lease, forking to background.
config:

blue:/etc/apk# cat /etc/network/interfaces
auto lo
iface lo inet loopback

auto ethO
iface ethO inet dhcp
hostname blue
# post—up /usr/bin/wg-quick up wg0

iface eth0O inet6 static
address 2ala:e5cl1:122:£00d::42
netmask 64

auto ethl
iface ethl inet dhcp
# post—up /usr/bin/wg-quick up wg0

iface ethl inet6 static
address 2ala:eb5cl:122:cafe::42
netmask 64
History

#1 - 07/30/2019 07:32 PM - Nico Schottelius
- Description updated

- Status changed from New to In Progress

#2 - 07/30/2019 07:33 PM - Nico Schottelius

- Description updated

#3 - 07/30/2019 07:49 PM - Nico Schottelius

Messages of boot:

* Checking local filesystems .../dev/sda3: clean, 9406/3399680 files, 466640/13579494 blocks
/dev/sdal: clean, 25/25688 files, 28145/102400 blocks

[ ok ]

* Remounting root filesystem read/write ... [ ok ]

* Remounting filesystems ... [ ok ]

* Activating swap devices ... [ ok ]

* Mounting local filesystems ... [ ok ]

* Configuring kernel parameters ... [ ok ]

* Creating user login records ... [ ok ]

* Wiping /tmp directory ... [ ok ]

* Setting hostname ... [ ok ]

* Setting keymap ... [ ok ]

* Starting networking ... * lo ... [ ok ]

w3 eth0 ...udhcpc: started, v1.31.0

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc: sending discover

udhcpc failed to get a DHCP lease
udhcpc: no lease, forking to background

[ ok ]

* Starting busybox syslog ... [ ok ]

* Initializing random number generator ... [ ok ]
* Starting busybox acpid ... [ ok ]

* Starting chronyd ... [ ok ]

* Starting busybox crond ... [ ok ]

*

/run/radvd: creating directory

* /run/radvd: correcting owner

* Enabling IPv6 forwarding ... [ ok ]

* Starting IPv6 Router Advertisement Daemon ... [ ok ]
* Starting sshd ... [ ok ]

Welcome to Alpine Linux 3.11_alpha20190707 (edge)
Kernel 4.19.62-0-vanilla on an x86_64 (/dev/ttyS0)

blue login:

#4 - 07/30/2019 07:51 PM - Nico Schottelius
This config does NOT hang at boot:
blue:/etc/network# cat interfaces
auto lo
iface lo inet loopback
auto ethO
iface eth0 inet dhcp

hostname blue

# post-up /usr/bin/wg-quick up wg0

#iface eth0 inet6 static

# address 2ala:ebcl:122:£00d::42

# netmask 64

#auto ethl

#iface ethl inet dhcp

# post-up /usr/bin/wg-quick up wg0

#iface ethl inet6 static

03/20/2024 2/3



# address 2al0a:ebcl:122:cafe::42
# netmask 64

#5 - 07/30/2019 07:55 PM - Nico Schottelius
This config hangs again:
blue:~# cat /etc/network/interfaces
auto lo
iface lo inet loopback
auto ethO
iface ethO inet dhcp
hostname blue

# post-up /usr/bin/wg-quick up wg0

#iface eth0 inet6 static

# address 2ala:ebcl:122:£00d::42

# netmask 64

auto ethl

#iface ethl inet dhcp

# post-up /usr/bin/wg-quick up wg0

iface ethl inet6 static
address 2al0a:ebcl:122:cafe::42
netmask 64

#6 - 07/30/2019 07:58 PM - Nico Schottelius
Trying as suggested in #alpine-linux:

blue:~# rc-update del radvd
* service radvd removed from runlevel default

Result with previously hanging config: still hanging
#7 - 07/30/2019 08:02 PM - Nico Schottelius
Work around:

auto ethO

iface eth0 inet dhcp
hostname blue

post-up ip addr add 2a0a:eb5cl:122:£00d::42/64 dev ethO

post-up /usr/bin/wg-quick up wg0

#8 - 01/02/2024 02:00 PM - Nico Schottelius

- Status changed from In Progress to Rejected
